﻿''' <summary>
''' Main window
''' </summary>
''' <remarks>I do not like WPF XAML Templates because Microsof has no 
''' debugging methode and renaming utility to work error-free.
''' In this case I am using usercontrols and only GUI stuff in XAML.</remarks>
Class MainWindow
    Private _fi As IO.FileInfo

    Private Sub Window_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Application.NavigationService = Me.MainFrame.NavigationService
        Try
            Call Load()
        Catch ex As Exception
            MessageBox.Show("Fehler beim Laden von " & _fi.FullName & vbNewLine & vbNewLine & ex.Message)
        End Try
    End Sub


    ''' <summary>
    ''' Save file when closing window
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Window_Closing(sender As System.Object, e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        Try
            Call Save()
        Catch ex As Exception
            MessageBox.Show("Fehler beim Speichern von " & _fi.FullName & vbNewLine & vbNewLine & ex.Message)
        End Try
    End Sub


    ''' <summary>
    ''' Load data from file
    ''' </summary>
    Private Sub Load()
        _fi = New IO.FileInfo(IO.Path.Combine(My.Computer.FileSystem.SpecialDirectories.MyDocuments, "Timo's WB3\settings.xml"))
        If _fi.Directory.Exists = False Then _fi.Directory.Create()

        If _fi.Exists = True Then
            Dim C As New IOHandler() With {.File = _fi}
            Application.WorkList = C.LoadData()
        End If

    End Sub


    ''' <summary>
    ''' Save data to file
    ''' </summary>
    Private Sub Save()
        Dim C As New IOHandler() With {.File = _fi}
        C.SaveData(Application.WorkList)
    End Sub
End Class
